Page MenuHomePhabricator

New page properties for number of Forms and Senses of a Lexeme
Closed, ResolvedPublic3 Story Points

Description

As a editor I want to have easy access to the number of Forms and Senses on a Lexeme in various tools in order to for example order by their number or exclude Lexemes below or above a threshold. The numbers should be made available via page props to feed those tools. Similar numbers are already provided by wb-claims for the number of statements and wb-sitelinks for the number of sitelinks.

BDD
GIVEN a Lexeme
AND at least one Form
AND at least one Sense
WHEN accessing wb-forms or wb-senses page property
THEN the number of Forms or Senses is returned

Acceptance criteria:

Event Timeline

Lydia_Pintscher renamed this task from New page property for number of senses of a lexeme to New page properties for number of Forms and Senses of a Lexeme.Sep 1 2018, 7:17 PM
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher triaged this task as Normal priority.Sep 2 2018, 3:09 PM
Addshore set the point value for this task to 3.Nov 20 2018, 2:21 PM

Change 474986 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/WikibaseLexeme@master] Add wbl-senses and wbl-forms page properties

https://gerrit.wikimedia.org/r/474986

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptNov 20 2018, 8:45 PM
Addshore moved this task from incoming to in progress on the Wikidata board.Nov 21 2018, 8:19 AM

Change 474986 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add wbl-senses and wbl-forms page properties

https://gerrit.wikimedia.org/r/474986

It's there now. It's because of the caching but it fascinates me that it still doesn't work with action=purge and you need to make an edit to trigger adding it.

\o/ When will it be live?

It's already there on the special page linked in the description.

Hey, I have a question, are all the Lexemes indexed already? Because apparently https://www.wikidata.org/wiki/Special:PagesWithProp?propname=wbl-forms&sortbyvalue=1 is not returning the Lexeme with the max number of Forms (it currently returns "dostatni (L21348): 84" when the Lexeme having the biggest number is atm mądry (L24242) with 140 Forms.

Yeah I believe it needs edits to populate.

Lydia_Pintscher closed this task as Resolved.Dec 10 2018, 11:19 AM

According to this Quarry query, almost 70% of all lexeme pages still don’t have this page prop. Is there really no way to populate it without an edit? As a tool author, I can’t really rely on it like this… (example)